from collections.abc import Mapping
from typing import Final, TypedDict, type_check_only
from typing_extensions import CapsuleType, Never, ReadOnly

@type_check_only
class _CApiDict(TypedDict):
    cbbcsd: ReadOnly[CapsuleType]
    cbdsqr: ReadOnly[CapsuleType]
    cgbbrd: ReadOnly[CapsuleType]
    cgbcon: ReadOnly[CapsuleType]
    cgbequ: ReadOnly[CapsuleType]
    cgbequb: ReadOnly[CapsuleType]
    cgbrfs: ReadOnly[CapsuleType]
    cgbsv: ReadOnly[CapsuleType]
    cgbsvx: ReadOnly[CapsuleType]
    cgbtf2: ReadOnly[CapsuleType]
    cgbtrf: ReadOnly[CapsuleType]
    cgbtrs: ReadOnly[CapsuleType]
    cgebak: ReadOnly[CapsuleType]
    cgebal: ReadOnly[CapsuleType]
    cgebd2: ReadOnly[CapsuleType]
    cgebrd: ReadOnly[CapsuleType]
    cgecon: ReadOnly[CapsuleType]
    cgeequ: ReadOnly[CapsuleType]
    cgeequb: ReadOnly[CapsuleType]
    cgees: ReadOnly[CapsuleType]
    cgeesx: ReadOnly[CapsuleType]
    cgeev: ReadOnly[CapsuleType]
    cgeevx: ReadOnly[CapsuleType]
    cgehd2: ReadOnly[CapsuleType]
    cgehrd: ReadOnly[CapsuleType]
    cgelq2: ReadOnly[CapsuleType]
    cgelqf: ReadOnly[CapsuleType]
    cgels: ReadOnly[CapsuleType]
    cgelsd: ReadOnly[CapsuleType]
    cgelss: ReadOnly[CapsuleType]
    cgelsy: ReadOnly[CapsuleType]
    cgemqrt: ReadOnly[CapsuleType]
    cgeql2: ReadOnly[CapsuleType]
    cgeqlf: ReadOnly[CapsuleType]
    cgeqp3: ReadOnly[CapsuleType]
    cgeqr2: ReadOnly[CapsuleType]
    cgeqr2p: ReadOnly[CapsuleType]
    cgeqrf: ReadOnly[CapsuleType]
    cgeqrfp: ReadOnly[CapsuleType]
    cgeqrt: ReadOnly[CapsuleType]
    cgeqrt2: ReadOnly[CapsuleType]
    cgeqrt3: ReadOnly[CapsuleType]
    cgerfs: ReadOnly[CapsuleType]
    cgerq2: ReadOnly[CapsuleType]
    cgerqf: ReadOnly[CapsuleType]
    cgesc2: ReadOnly[CapsuleType]
    cgesdd: ReadOnly[CapsuleType]
    cgesv: ReadOnly[CapsuleType]
    cgesvd: ReadOnly[CapsuleType]
    cgesvx: ReadOnly[CapsuleType]
    cgetc2: ReadOnly[CapsuleType]
    cgetf2: ReadOnly[CapsuleType]
    cgetrf: ReadOnly[CapsuleType]
    cgetri: ReadOnly[CapsuleType]
    cgetrs: ReadOnly[CapsuleType]
    cggbak: ReadOnly[CapsuleType]
    cggbal: ReadOnly[CapsuleType]
    cgges: ReadOnly[CapsuleType]
    cggesx: ReadOnly[CapsuleType]
    cggev: ReadOnly[CapsuleType]
    cggevx: ReadOnly[CapsuleType]
    cggglm: ReadOnly[CapsuleType]
    cgghrd: ReadOnly[CapsuleType]
    cgglse: ReadOnly[CapsuleType]
    cggqrf: ReadOnly[CapsuleType]
    cggrqf: ReadOnly[CapsuleType]
    cgtcon: ReadOnly[CapsuleType]
    cgtrfs: ReadOnly[CapsuleType]
    cgtsv: ReadOnly[CapsuleType]
    cgtsvx: ReadOnly[CapsuleType]
    cgttrf: ReadOnly[CapsuleType]
    cgttrs: ReadOnly[CapsuleType]
    cgtts2: ReadOnly[CapsuleType]
    chbev: ReadOnly[CapsuleType]
    chbevd: ReadOnly[CapsuleType]
    chbevx: ReadOnly[CapsuleType]
    chbgst: ReadOnly[CapsuleType]
    chbgv: ReadOnly[CapsuleType]
    chbgvd: ReadOnly[CapsuleType]
    chbgvx: ReadOnly[CapsuleType]
    chbtrd: ReadOnly[CapsuleType]
    checon: ReadOnly[CapsuleType]
    cheequb: ReadOnly[CapsuleType]
    cheev: ReadOnly[CapsuleType]
    cheevd: ReadOnly[CapsuleType]
    cheevr: ReadOnly[CapsuleType]
    cheevx: ReadOnly[CapsuleType]
    chegs2: ReadOnly[CapsuleType]
    chegst: ReadOnly[CapsuleType]
    chegv: ReadOnly[CapsuleType]
    chegvd: ReadOnly[CapsuleType]
    chegvx: ReadOnly[CapsuleType]
    cherfs: ReadOnly[CapsuleType]
    chesv: ReadOnly[CapsuleType]
    chesvx: ReadOnly[CapsuleType]
    cheswapr: ReadOnly[CapsuleType]
    chetd2: ReadOnly[CapsuleType]
    chetf2: ReadOnly[CapsuleType]
    chetrd: ReadOnly[CapsuleType]
    chetrf: ReadOnly[CapsuleType]
    chetri: ReadOnly[CapsuleType]
    chetri2: ReadOnly[CapsuleType]
    chetri2x: ReadOnly[CapsuleType]
    chetrs: ReadOnly[CapsuleType]
    chetrs2: ReadOnly[CapsuleType]
    chfrk: ReadOnly[CapsuleType]
    chgeqz: ReadOnly[CapsuleType]
    chla_transtype: ReadOnly[CapsuleType]
    chpcon: ReadOnly[CapsuleType]
    chpev: ReadOnly[CapsuleType]
    chpevd: ReadOnly[CapsuleType]
    chpevx: ReadOnly[CapsuleType]
    chpgst: ReadOnly[CapsuleType]
    chpgv: ReadOnly[CapsuleType]
    chpgvd: ReadOnly[CapsuleType]
    chpgvx: ReadOnly[CapsuleType]
    chprfs: ReadOnly[CapsuleType]
    chpsv: ReadOnly[CapsuleType]
    chpsvx: ReadOnly[CapsuleType]
    chptrd: ReadOnly[CapsuleType]
    chptrf: ReadOnly[CapsuleType]
    chptri: ReadOnly[CapsuleType]
    chptrs: ReadOnly[CapsuleType]
    chsein: ReadOnly[CapsuleType]
    chseqr: ReadOnly[CapsuleType]
    clabrd: ReadOnly[CapsuleType]
    clacgv: ReadOnly[CapsuleType]
    clacn2: ReadOnly[CapsuleType]
    clacon: ReadOnly[CapsuleType]
    clacp2: ReadOnly[CapsuleType]
    clacpy: ReadOnly[CapsuleType]
    clacrm: ReadOnly[CapsuleType]
    clacrt: ReadOnly[CapsuleType]
    cladiv: ReadOnly[CapsuleType]
    claed0: ReadOnly[CapsuleType]
    claed7: ReadOnly[CapsuleType]
    claed8: ReadOnly[CapsuleType]
    claein: ReadOnly[CapsuleType]
    claesy: ReadOnly[CapsuleType]
    claev2: ReadOnly[CapsuleType]
    clag2z: ReadOnly[CapsuleType]
    clags2: ReadOnly[CapsuleType]
    clagtm: ReadOnly[CapsuleType]
    clahef: ReadOnly[CapsuleType]
    clahqr: ReadOnly[CapsuleType]
    clahr2: ReadOnly[CapsuleType]
    claic1: ReadOnly[CapsuleType]
    clals0: ReadOnly[CapsuleType]
    clalsa: ReadOnly[CapsuleType]
    clalsd: ReadOnly[CapsuleType]
    clangb: ReadOnly[CapsuleType]
    clange: ReadOnly[CapsuleType]
    clangt: ReadOnly[CapsuleType]
    clanhb: ReadOnly[CapsuleType]
    clanhe: ReadOnly[CapsuleType]
    clanhf: ReadOnly[CapsuleType]
    clanhp: ReadOnly[CapsuleType]
    clanhs: ReadOnly[CapsuleType]
    clanht: ReadOnly[CapsuleType]
    clansb: ReadOnly[CapsuleType]
    clansp: ReadOnly[CapsuleType]
    clansy: ReadOnly[CapsuleType]
    clantb: ReadOnly[CapsuleType]
    clantp: ReadOnly[CapsuleType]
    clantr: ReadOnly[CapsuleType]
    clapll: ReadOnly[CapsuleType]
    clapmr: ReadOnly[CapsuleType]
    clapmt: ReadOnly[CapsuleType]
    claqgb: ReadOnly[CapsuleType]
    claqge: ReadOnly[CapsuleType]
    claqhb: ReadOnly[CapsuleType]
    claqhe: ReadOnly[CapsuleType]
    claqhp: ReadOnly[CapsuleType]
    claqp2: ReadOnly[CapsuleType]
    claqps: ReadOnly[CapsuleType]
    claqr0: ReadOnly[CapsuleType]
    claqr1: ReadOnly[CapsuleType]
    claqr2: ReadOnly[CapsuleType]
    claqr3: ReadOnly[CapsuleType]
    claqr4: ReadOnly[CapsuleType]
    claqr5: ReadOnly[CapsuleType]
    claqsb: ReadOnly[CapsuleType]
    claqsp: ReadOnly[CapsuleType]
    claqsy: ReadOnly[CapsuleType]
    clar1v: ReadOnly[CapsuleType]
    clar2v: ReadOnly[CapsuleType]
    clarcm: ReadOnly[CapsuleType]
    clarf: ReadOnly[CapsuleType]
    clarfb: ReadOnly[CapsuleType]
    clarfg: ReadOnly[CapsuleType]
    clarfgp: ReadOnly[CapsuleType]
    clarft: ReadOnly[CapsuleType]
    clarfx: ReadOnly[CapsuleType]
    clargv: ReadOnly[CapsuleType]
    clarnv: ReadOnly[CapsuleType]
    clarrv: ReadOnly[CapsuleType]
    clartg: ReadOnly[CapsuleType]
    clartv: ReadOnly[CapsuleType]
    clarz: ReadOnly[CapsuleType]
    clarzb: ReadOnly[CapsuleType]
    clarzt: ReadOnly[CapsuleType]
    clascl: ReadOnly[CapsuleType]
    claset: ReadOnly[CapsuleType]
    clasr: ReadOnly[CapsuleType]
    classq: ReadOnly[CapsuleType]
    claswp: ReadOnly[CapsuleType]
    clasyf: ReadOnly[CapsuleType]
    clatbs: ReadOnly[CapsuleType]
    clatdf: ReadOnly[CapsuleType]
    clatps: ReadOnly[CapsuleType]
    clatrd: ReadOnly[CapsuleType]
    clatrs: ReadOnly[CapsuleType]
    clatrz: ReadOnly[CapsuleType]
    clauu2: ReadOnly[CapsuleType]
    clauum: ReadOnly[CapsuleType]
    cpbcon: ReadOnly[CapsuleType]
    cpbequ: ReadOnly[CapsuleType]
    cpbrfs: ReadOnly[CapsuleType]
    cpbstf: ReadOnly[CapsuleType]
    cpbsv: ReadOnly[CapsuleType]
    cpbsvx: ReadOnly[CapsuleType]
    cpbtf2: ReadOnly[CapsuleType]
    cpbtrf: ReadOnly[CapsuleType]
    cpbtrs: ReadOnly[CapsuleType]
    cpftrf: ReadOnly[CapsuleType]
    cpftri: ReadOnly[CapsuleType]
    cpftrs: ReadOnly[CapsuleType]
    cpocon: ReadOnly[CapsuleType]
    cpoequ: ReadOnly[CapsuleType]
    cpoequb: ReadOnly[CapsuleType]
    cporfs: ReadOnly[CapsuleType]
    cposv: ReadOnly[CapsuleType]
    cposvx: ReadOnly[CapsuleType]
    cpotf2: ReadOnly[CapsuleType]
    cpotrf: ReadOnly[CapsuleType]
    cpotri: ReadOnly[CapsuleType]
    cpotrs: ReadOnly[CapsuleType]
    cppcon: ReadOnly[CapsuleType]
    cppequ: ReadOnly[CapsuleType]
    cpprfs: ReadOnly[CapsuleType]
    cppsv: ReadOnly[CapsuleType]
    cppsvx: ReadOnly[CapsuleType]
    cpptrf: ReadOnly[CapsuleType]
    cpptri: ReadOnly[CapsuleType]
    cpptrs: ReadOnly[CapsuleType]
    cpstf2: ReadOnly[CapsuleType]
    cpstrf: ReadOnly[CapsuleType]
    cptcon: ReadOnly[CapsuleType]
    cpteqr: ReadOnly[CapsuleType]
    cptrfs: ReadOnly[CapsuleType]
    cptsv: ReadOnly[CapsuleType]
    cptsvx: ReadOnly[CapsuleType]
    cpttrf: ReadOnly[CapsuleType]
    cpttrs: ReadOnly[CapsuleType]
    cptts2: ReadOnly[CapsuleType]
    crot: ReadOnly[CapsuleType]
    cspcon: ReadOnly[CapsuleType]
    cspmv: ReadOnly[CapsuleType]
    cspr: ReadOnly[CapsuleType]
    csprfs: ReadOnly[CapsuleType]
    cspsv: ReadOnly[CapsuleType]
    cspsvx: ReadOnly[CapsuleType]
    csptrf: ReadOnly[CapsuleType]
    csptri: ReadOnly[CapsuleType]
    csptrs: ReadOnly[CapsuleType]
    csrscl: ReadOnly[CapsuleType]
    cstedc: ReadOnly[CapsuleType]
    cstegr: ReadOnly[CapsuleType]
    cstein: ReadOnly[CapsuleType]
    cstemr: ReadOnly[CapsuleType]
    csteqr: ReadOnly[CapsuleType]
    csycon: ReadOnly[CapsuleType]
    csyconv: ReadOnly[CapsuleType]
    csyequb: ReadOnly[CapsuleType]
    csymv: ReadOnly[CapsuleType]
    csyr: ReadOnly[CapsuleType]
    csyrfs: ReadOnly[CapsuleType]
    csysv: ReadOnly[CapsuleType]
    csysvx: ReadOnly[CapsuleType]
    csyswapr: ReadOnly[CapsuleType]
    csytf2: ReadOnly[CapsuleType]
    csytrf: ReadOnly[CapsuleType]
    csytri: ReadOnly[CapsuleType]
    csytri2: ReadOnly[CapsuleType]
    csytri2x: ReadOnly[CapsuleType]
    csytrs: ReadOnly[CapsuleType]
    csytrs2: ReadOnly[CapsuleType]
    ctbcon: ReadOnly[CapsuleType]
    ctbrfs: ReadOnly[CapsuleType]
    ctbtrs: ReadOnly[CapsuleType]
    ctfsm: ReadOnly[CapsuleType]
    ctftri: ReadOnly[CapsuleType]
    ctfttp: ReadOnly[CapsuleType]
    ctfttr: ReadOnly[CapsuleType]
    ctgevc: ReadOnly[CapsuleType]
    ctgex2: ReadOnly[CapsuleType]
    ctgexc: ReadOnly[CapsuleType]
    ctgsen: ReadOnly[CapsuleType]
    ctgsja: ReadOnly[CapsuleType]
    ctgsna: ReadOnly[CapsuleType]
    ctgsy2: ReadOnly[CapsuleType]
    ctgsyl: ReadOnly[CapsuleType]
    ctpcon: ReadOnly[CapsuleType]
    ctpmqrt: ReadOnly[CapsuleType]
    ctpqrt: ReadOnly[CapsuleType]
    ctpqrt2: ReadOnly[CapsuleType]
    ctprfb: ReadOnly[CapsuleType]
    ctprfs: ReadOnly[CapsuleType]
    ctptri: ReadOnly[CapsuleType]
    ctptrs: ReadOnly[CapsuleType]
    ctpttf: ReadOnly[CapsuleType]
    ctpttr: ReadOnly[CapsuleType]
    ctrcon: ReadOnly[CapsuleType]
    ctrevc: ReadOnly[CapsuleType]
    ctrexc: ReadOnly[CapsuleType]
    ctrrfs: ReadOnly[CapsuleType]
    ctrsen: ReadOnly[CapsuleType]
    ctrsna: ReadOnly[CapsuleType]
    ctrsyl: ReadOnly[CapsuleType]
    ctrti2: ReadOnly[CapsuleType]
    ctrtri: ReadOnly[CapsuleType]
    ctrtrs: ReadOnly[CapsuleType]
    ctrttf: ReadOnly[CapsuleType]
    ctrttp: ReadOnly[CapsuleType]
    ctzrzf: ReadOnly[CapsuleType]
    cunbdb: ReadOnly[CapsuleType]
    cuncsd: ReadOnly[CapsuleType]
    cung2l: ReadOnly[CapsuleType]
    cung2r: ReadOnly[CapsuleType]
    cungbr: ReadOnly[CapsuleType]
    cunghr: ReadOnly[CapsuleType]
    cungl2: ReadOnly[CapsuleType]
    cunglq: ReadOnly[CapsuleType]
    cungql: ReadOnly[CapsuleType]
    cungqr: ReadOnly[CapsuleType]
    cungr2: ReadOnly[CapsuleType]
    cungrq: ReadOnly[CapsuleType]
    cungtr: ReadOnly[CapsuleType]
    cunm2l: ReadOnly[CapsuleType]
    cunm2r: ReadOnly[CapsuleType]
    cunmbr: ReadOnly[CapsuleType]
    cunmhr: ReadOnly[CapsuleType]
    cunml2: ReadOnly[CapsuleType]
    cunmlq: ReadOnly[CapsuleType]
    cunmql: ReadOnly[CapsuleType]
    cunmqr: ReadOnly[CapsuleType]
    cunmr2: ReadOnly[CapsuleType]
    cunmr3: ReadOnly[CapsuleType]
    cunmrq: ReadOnly[CapsuleType]
    cunmrz: ReadOnly[CapsuleType]
    cunmtr: ReadOnly[CapsuleType]
    cupgtr: ReadOnly[CapsuleType]
    cupmtr: ReadOnly[CapsuleType]
    dbbcsd: ReadOnly[CapsuleType]
    dbdsdc: ReadOnly[CapsuleType]
    dbdsqr: ReadOnly[CapsuleType]
    ddisna: ReadOnly[CapsuleType]
    dgbbrd: ReadOnly[CapsuleType]
    dgbcon: ReadOnly[CapsuleType]
    dgbequ: ReadOnly[CapsuleType]
    dgbequb: ReadOnly[CapsuleType]
    dgbrfs: ReadOnly[CapsuleType]
    dgbsv: ReadOnly[CapsuleType]
    dgbsvx: ReadOnly[CapsuleType]
    dgbtf2: ReadOnly[CapsuleType]
    dgbtrf: ReadOnly[CapsuleType]
    dgbtrs: ReadOnly[CapsuleType]
    dgebak: ReadOnly[CapsuleType]
    dgebal: ReadOnly[CapsuleType]
    dgebd2: ReadOnly[CapsuleType]
    dgebrd: ReadOnly[CapsuleType]
    dgecon: ReadOnly[CapsuleType]
    dgeequ: ReadOnly[CapsuleType]
    dgeequb: ReadOnly[CapsuleType]
    dgees: ReadOnly[CapsuleType]
    dgeesx: ReadOnly[CapsuleType]
    dgeev: ReadOnly[CapsuleType]
    dgeevx: ReadOnly[CapsuleType]
    dgehd2: ReadOnly[CapsuleType]
    dgehrd: ReadOnly[CapsuleType]
    dgejsv: ReadOnly[CapsuleType]
    dgelq2: ReadOnly[CapsuleType]
    dgelqf: ReadOnly[CapsuleType]
    dgels: ReadOnly[CapsuleType]
    dgelsd: ReadOnly[CapsuleType]
    dgelss: ReadOnly[CapsuleType]
    dgelsy: ReadOnly[CapsuleType]
    dgemqrt: ReadOnly[CapsuleType]
    dgeql2: ReadOnly[CapsuleType]
    dgeqlf: ReadOnly[CapsuleType]
    dgeqp3: ReadOnly[CapsuleType]
    dgeqr2: ReadOnly[CapsuleType]
    dgeqr2p: ReadOnly[CapsuleType]
    dgeqrf: ReadOnly[CapsuleType]
    dgeqrfp: ReadOnly[CapsuleType]
    dgeqrt: ReadOnly[CapsuleType]
    dgeqrt2: ReadOnly[CapsuleType]
    dgeqrt3: ReadOnly[CapsuleType]
    dgerfs: ReadOnly[CapsuleType]
    dgerq2: ReadOnly[CapsuleType]
    dgerqf: ReadOnly[CapsuleType]
    dgesc2: ReadOnly[CapsuleType]
    dgesdd: ReadOnly[CapsuleType]
    dgesv: ReadOnly[CapsuleType]
    dgesvd: ReadOnly[CapsuleType]
    dgesvj: ReadOnly[CapsuleType]
    dgesvx: ReadOnly[CapsuleType]
    dgetc2: ReadOnly[CapsuleType]
    dgetf2: ReadOnly[CapsuleType]
    dgetrf: ReadOnly[CapsuleType]
    dgetri: ReadOnly[CapsuleType]
    dgetrs: ReadOnly[CapsuleType]
    dggbak: ReadOnly[CapsuleType]
    dggbal: ReadOnly[CapsuleType]
    dgges: ReadOnly[CapsuleType]
    dggesx: ReadOnly[CapsuleType]
    dggev: ReadOnly[CapsuleType]
    dggevx: ReadOnly[CapsuleType]
    dggglm: ReadOnly[CapsuleType]
    dgghrd: ReadOnly[CapsuleType]
    dgglse: ReadOnly[CapsuleType]
    dggqrf: ReadOnly[CapsuleType]
    dggrqf: ReadOnly[CapsuleType]
    dgsvj0: ReadOnly[CapsuleType]
    dgsvj1: ReadOnly[CapsuleType]
    dgtcon: ReadOnly[CapsuleType]
    dgtrfs: ReadOnly[CapsuleType]
    dgtsv: ReadOnly[CapsuleType]
    dgtsvx: ReadOnly[CapsuleType]
    dgttrf: ReadOnly[CapsuleType]
    dgttrs: ReadOnly[CapsuleType]
    dgtts2: ReadOnly[CapsuleType]
    dhgeqz: ReadOnly[CapsuleType]
    dhsein: ReadOnly[CapsuleType]
    dhseqr: ReadOnly[CapsuleType]
    disnan: ReadOnly[CapsuleType]
    dlabad: ReadOnly[CapsuleType]
    dlabrd: ReadOnly[CapsuleType]
    dlacn2: ReadOnly[CapsuleType]
    dlacon: ReadOnly[CapsuleType]
    dlacpy: ReadOnly[CapsuleType]
    dladiv: ReadOnly[CapsuleType]
    dlae2: ReadOnly[CapsuleType]
    dlaebz: ReadOnly[CapsuleType]
    dlaed0: ReadOnly[CapsuleType]
    dlaed1: ReadOnly[CapsuleType]
    dlaed2: ReadOnly[CapsuleType]
    dlaed3: ReadOnly[CapsuleType]
    dlaed4: ReadOnly[CapsuleType]
    dlaed5: ReadOnly[CapsuleType]
    dlaed6: ReadOnly[CapsuleType]
    dlaed7: ReadOnly[CapsuleType]
    dlaed8: ReadOnly[CapsuleType]
    dlaed9: ReadOnly[CapsuleType]
    dlaeda: ReadOnly[CapsuleType]
    dlaein: ReadOnly[CapsuleType]
    dlaev2: ReadOnly[CapsuleType]
    dlaexc: ReadOnly[CapsuleType]
    dlag2: ReadOnly[CapsuleType]
    dlag2s: ReadOnly[CapsuleType]
    dlags2: ReadOnly[CapsuleType]
    dlagtf: ReadOnly[CapsuleType]
    dlagtm: ReadOnly[CapsuleType]
    dlagts: ReadOnly[CapsuleType]
    dlagv2: ReadOnly[CapsuleType]
    dlahqr: ReadOnly[CapsuleType]
    dlahr2: ReadOnly[CapsuleType]
    dlaic1: ReadOnly[CapsuleType]
    dlaln2: ReadOnly[CapsuleType]
    dlals0: ReadOnly[CapsuleType]
    dlalsa: ReadOnly[CapsuleType]
    dlalsd: ReadOnly[CapsuleType]
    dlamch: ReadOnly[CapsuleType]
    dlamrg: ReadOnly[CapsuleType]
    dlaneg: ReadOnly[CapsuleType]
    dlangb: ReadOnly[CapsuleType]
    dlange: ReadOnly[CapsuleType]
    dlangt: ReadOnly[CapsuleType]
    dlanhs: ReadOnly[CapsuleType]
    dlansb: ReadOnly[CapsuleType]
    dlansf: ReadOnly[CapsuleType]
    dlansp: ReadOnly[CapsuleType]
    dlanst: ReadOnly[CapsuleType]
    dlansy: ReadOnly[CapsuleType]
    dlantb: ReadOnly[CapsuleType]
    dlantp: ReadOnly[CapsuleType]
    dlantr: ReadOnly[CapsuleType]
    dlanv2: ReadOnly[CapsuleType]
    dlapll: ReadOnly[CapsuleType]
    dlapmr: ReadOnly[CapsuleType]
    dlapmt: ReadOnly[CapsuleType]
    dlapy2: ReadOnly[CapsuleType]
    dlapy3: ReadOnly[CapsuleType]
    dlaqgb: ReadOnly[CapsuleType]
    dlaqge: ReadOnly[CapsuleType]
    dlaqp2: ReadOnly[CapsuleType]
    dlaqps: ReadOnly[CapsuleType]
    dlaqr0: ReadOnly[CapsuleType]
    dlaqr1: ReadOnly[CapsuleType]
    dlaqr2: ReadOnly[CapsuleType]
    dlaqr3: ReadOnly[CapsuleType]
    dlaqr4: ReadOnly[CapsuleType]
    dlaqr5: ReadOnly[CapsuleType]
    dlaqsb: ReadOnly[CapsuleType]
    dlaqsp: ReadOnly[CapsuleType]
    dlaqsy: ReadOnly[CapsuleType]
    dlaqtr: ReadOnly[CapsuleType]
    dlar1v: ReadOnly[CapsuleType]
    dlar2v: ReadOnly[CapsuleType]
    dlarf: ReadOnly[CapsuleType]
    dlarfb: ReadOnly[CapsuleType]
    dlarfg: ReadOnly[CapsuleType]
    dlarfgp: ReadOnly[CapsuleType]
    dlarft: ReadOnly[CapsuleType]
    dlarfx: ReadOnly[CapsuleType]
    dlargv: ReadOnly[CapsuleType]
    dlarnv: ReadOnly[CapsuleType]
    dlarra: ReadOnly[CapsuleType]
    dlarrb: ReadOnly[CapsuleType]
    dlarrc: ReadOnly[CapsuleType]
    dlarrd: ReadOnly[CapsuleType]
    dlarre: ReadOnly[CapsuleType]
    dlarrf: ReadOnly[CapsuleType]
    dlarrj: ReadOnly[CapsuleType]
    dlarrk: ReadOnly[CapsuleType]
    dlarrr: ReadOnly[CapsuleType]
    dlarrv: ReadOnly[CapsuleType]
    dlartg: ReadOnly[CapsuleType]
    dlartgp: ReadOnly[CapsuleType]
    dlartgs: ReadOnly[CapsuleType]
    dlartv: ReadOnly[CapsuleType]
    dlaruv: ReadOnly[CapsuleType]
    dlarz: ReadOnly[CapsuleType]
    dlarzb: ReadOnly[CapsuleType]
    dlarzt: ReadOnly[CapsuleType]
    dlas2: ReadOnly[CapsuleType]
    dlascl: ReadOnly[CapsuleType]
    dlasd0: ReadOnly[CapsuleType]
    dlasd1: ReadOnly[CapsuleType]
    dlasd2: ReadOnly[CapsuleType]
    dlasd3: ReadOnly[CapsuleType]
    dlasd4: ReadOnly[CapsuleType]
    dlasd5: ReadOnly[CapsuleType]
    dlasd6: ReadOnly[CapsuleType]
    dlasd7: ReadOnly[CapsuleType]
    dlasd8: ReadOnly[CapsuleType]
    dlasda: ReadOnly[CapsuleType]
    dlasdq: ReadOnly[CapsuleType]
    dlasdt: ReadOnly[CapsuleType]
    dlaset: ReadOnly[CapsuleType]
    dlasq1: ReadOnly[CapsuleType]
    dlasq2: ReadOnly[CapsuleType]
    dlasq3: ReadOnly[CapsuleType]
    dlasq4: ReadOnly[CapsuleType]
    dlasq6: ReadOnly[CapsuleType]
    dlasr: ReadOnly[CapsuleType]
    dlasrt: ReadOnly[CapsuleType]
    dlassq: ReadOnly[CapsuleType]
    dlasv2: ReadOnly[CapsuleType]
    dlaswp: ReadOnly[CapsuleType]
    dlasy2: ReadOnly[CapsuleType]
    dlasyf: ReadOnly[CapsuleType]
    dlat2s: ReadOnly[CapsuleType]
    dlatbs: ReadOnly[CapsuleType]
    dlatdf: ReadOnly[CapsuleType]
    dlatps: ReadOnly[CapsuleType]
    dlatrd: ReadOnly[CapsuleType]
    dlatrs: ReadOnly[CapsuleType]
    dlatrz: ReadOnly[CapsuleType]
    dlauu2: ReadOnly[CapsuleType]
    dlauum: ReadOnly[CapsuleType]
    dopgtr: ReadOnly[CapsuleType]
    dopmtr: ReadOnly[CapsuleType]
    dorbdb: ReadOnly[CapsuleType]
    dorcsd: ReadOnly[CapsuleType]
    dorg2l: ReadOnly[CapsuleType]
    dorg2r: ReadOnly[CapsuleType]
    dorgbr: ReadOnly[CapsuleType]
    dorghr: ReadOnly[CapsuleType]
    dorgl2: ReadOnly[CapsuleType]
    dorglq: ReadOnly[CapsuleType]
    dorgql: ReadOnly[CapsuleType]
    dorgqr: ReadOnly[CapsuleType]
    dorgr2: ReadOnly[CapsuleType]
    dorgrq: ReadOnly[CapsuleType]
    dorgtr: ReadOnly[CapsuleType]
    dorm2l: ReadOnly[CapsuleType]
    dorm2r: ReadOnly[CapsuleType]
    dormbr: ReadOnly[CapsuleType]
    dormhr: ReadOnly[CapsuleType]
    dorml2: ReadOnly[CapsuleType]
    dormlq: ReadOnly[CapsuleType]
    dormql: ReadOnly[CapsuleType]
    dormqr: ReadOnly[CapsuleType]
    dormr2: ReadOnly[CapsuleType]
    dormr3: ReadOnly[CapsuleType]
    dormrq: ReadOnly[CapsuleType]
    dormrz: ReadOnly[CapsuleType]
    dormtr: ReadOnly[CapsuleType]
    dpbcon: ReadOnly[CapsuleType]
    dpbequ: ReadOnly[CapsuleType]
    dpbrfs: ReadOnly[CapsuleType]
    dpbstf: ReadOnly[CapsuleType]
    dpbsv: ReadOnly[CapsuleType]
    dpbsvx: ReadOnly[CapsuleType]
    dpbtf2: ReadOnly[CapsuleType]
    dpbtrf: ReadOnly[CapsuleType]
    dpbtrs: ReadOnly[CapsuleType]
    dpftrf: ReadOnly[CapsuleType]
    dpftri: ReadOnly[CapsuleType]
    dpftrs: ReadOnly[CapsuleType]
    dpocon: ReadOnly[CapsuleType]
    dpoequ: ReadOnly[CapsuleType]
    dpoequb: ReadOnly[CapsuleType]
    dporfs: ReadOnly[CapsuleType]
    dposv: ReadOnly[CapsuleType]
    dposvx: ReadOnly[CapsuleType]
    dpotf2: ReadOnly[CapsuleType]
    dpotrf: ReadOnly[CapsuleType]
    dpotri: ReadOnly[CapsuleType]
    dpotrs: ReadOnly[CapsuleType]
    dppcon: ReadOnly[CapsuleType]
    dppequ: ReadOnly[CapsuleType]
    dpprfs: ReadOnly[CapsuleType]
    dppsv: ReadOnly[CapsuleType]
    dppsvx: ReadOnly[CapsuleType]
    dpptrf: ReadOnly[CapsuleType]
    dpptri: ReadOnly[CapsuleType]
    dpptrs: ReadOnly[CapsuleType]
    dpstf2: ReadOnly[CapsuleType]
    dpstrf: ReadOnly[CapsuleType]
    dptcon: ReadOnly[CapsuleType]
    dpteqr: ReadOnly[CapsuleType]
    dptrfs: ReadOnly[CapsuleType]
    dptsv: ReadOnly[CapsuleType]
    dptsvx: ReadOnly[CapsuleType]
    dpttrf: ReadOnly[CapsuleType]
    dpttrs: ReadOnly[CapsuleType]
    dptts2: ReadOnly[CapsuleType]
    drscl: ReadOnly[CapsuleType]
    dsbev: ReadOnly[CapsuleType]
    dsbevd: ReadOnly[CapsuleType]
    dsbevx: ReadOnly[CapsuleType]
    dsbgst: ReadOnly[CapsuleType]
    dsbgv: ReadOnly[CapsuleType]
    dsbgvd: ReadOnly[CapsuleType]
    dsbgvx: ReadOnly[CapsuleType]
    dsbtrd: ReadOnly[CapsuleType]
    dsfrk: ReadOnly[CapsuleType]
    dsgesv: ReadOnly[CapsuleType]
    dspcon: ReadOnly[CapsuleType]
    dspev: ReadOnly[CapsuleType]
    dspevd: ReadOnly[CapsuleType]
    dspevx: ReadOnly[CapsuleType]
    dspgst: ReadOnly[CapsuleType]
    dspgv: ReadOnly[CapsuleType]
    dspgvd: ReadOnly[CapsuleType]
    dspgvx: ReadOnly[CapsuleType]
    dsposv: ReadOnly[CapsuleType]
    dsprfs: ReadOnly[CapsuleType]
    dspsv: ReadOnly[CapsuleType]
    dspsvx: ReadOnly[CapsuleType]
    dsptrd: ReadOnly[CapsuleType]
    dsptrf: ReadOnly[CapsuleType]
    dsptri: ReadOnly[CapsuleType]
    dsptrs: ReadOnly[CapsuleType]
    dstebz: ReadOnly[CapsuleType]
    dstedc: ReadOnly[CapsuleType]
    dstegr: ReadOnly[CapsuleType]
    dstein: ReadOnly[CapsuleType]
    dstemr: ReadOnly[CapsuleType]
    dsteqr: ReadOnly[CapsuleType]
    dsterf: ReadOnly[CapsuleType]
    dstev: ReadOnly[CapsuleType]
    dstevd: ReadOnly[CapsuleType]
    dstevr: ReadOnly[CapsuleType]
    dstevx: ReadOnly[CapsuleType]
    dsycon: ReadOnly[CapsuleType]
    dsyconv: ReadOnly[CapsuleType]
    dsyequb: ReadOnly[CapsuleType]
    dsyev: ReadOnly[CapsuleType]
    dsyevd: ReadOnly[CapsuleType]
    dsyevr: ReadOnly[CapsuleType]
    dsyevx: ReadOnly[CapsuleType]
    dsygs2: ReadOnly[CapsuleType]
    dsygst: ReadOnly[CapsuleType]
    dsygv: ReadOnly[CapsuleType]
    dsygvd: ReadOnly[CapsuleType]
    dsygvx: ReadOnly[CapsuleType]
    dsyrfs: ReadOnly[CapsuleType]
    dsysv: ReadOnly[CapsuleType]
    dsysvx: ReadOnly[CapsuleType]
    dsyswapr: ReadOnly[CapsuleType]
    dsytd2: ReadOnly[CapsuleType]
    dsytf2: ReadOnly[CapsuleType]
    dsytrd: ReadOnly[CapsuleType]
    dsytrf: ReadOnly[CapsuleType]
    dsytri: ReadOnly[CapsuleType]
    dsytri2: ReadOnly[CapsuleType]
    dsytri2x: ReadOnly[CapsuleType]
    dsytrs: ReadOnly[CapsuleType]
    dsytrs2: ReadOnly[CapsuleType]
    dtbcon: ReadOnly[CapsuleType]
    dtbrfs: ReadOnly[CapsuleType]
    dtbtrs: ReadOnly[CapsuleType]
    dtfsm: ReadOnly[CapsuleType]
    dtftri: ReadOnly[CapsuleType]
    dtfttp: ReadOnly[CapsuleType]
    dtfttr: ReadOnly[CapsuleType]
    dtgevc: ReadOnly[CapsuleType]
    dtgex2: ReadOnly[CapsuleType]
    dtgexc: ReadOnly[CapsuleType]
    dtgsen: ReadOnly[CapsuleType]
    dtgsja: ReadOnly[CapsuleType]
    dtgsna: ReadOnly[CapsuleType]
    dtgsy2: ReadOnly[CapsuleType]
    dtgsyl: ReadOnly[CapsuleType]
    dtpcon: ReadOnly[CapsuleType]
    dtpmqrt: ReadOnly[CapsuleType]
    dtpqrt: ReadOnly[CapsuleType]
    dtpqrt2: ReadOnly[CapsuleType]
    dtprfb: ReadOnly[CapsuleType]
    dtprfs: ReadOnly[CapsuleType]
    dtptri: ReadOnly[CapsuleType]
    dtptrs: ReadOnly[CapsuleType]
    dtpttf: ReadOnly[CapsuleType]
    dtpttr: ReadOnly[CapsuleType]
    dtrcon: ReadOnly[CapsuleType]
    dtrevc: ReadOnly[CapsuleType]
    dtrexc: ReadOnly[CapsuleType]
    dtrrfs: ReadOnly[CapsuleType]
    dtrsen: ReadOnly[CapsuleType]
    dtrsna: ReadOnly[CapsuleType]
    dtrsyl: ReadOnly[CapsuleType]
    dtrti2: ReadOnly[CapsuleType]
    dtrtri: ReadOnly[CapsuleType]
    dtrtrs: ReadOnly[CapsuleType]
    dtrttf: ReadOnly[CapsuleType]
    dtrttp: ReadOnly[CapsuleType]
    dtzrzf: ReadOnly[CapsuleType]
    dzsum1: ReadOnly[CapsuleType]
    icmax1: ReadOnly[CapsuleType]
    ieeeck: ReadOnly[CapsuleType]
    ilaclc: ReadOnly[CapsuleType]
    ilaclr: ReadOnly[CapsuleType]
    iladiag: ReadOnly[CapsuleType]
    iladlc: ReadOnly[CapsuleType]
    iladlr: ReadOnly[CapsuleType]
    ilaprec: ReadOnly[CapsuleType]
    ilaslc: ReadOnly[CapsuleType]
    ilaslr: ReadOnly[CapsuleType]
    ilatrans: ReadOnly[CapsuleType]
    ilauplo: ReadOnly[CapsuleType]
    ilaver: ReadOnly[CapsuleType]
    ilazlc: ReadOnly[CapsuleType]
    ilazlr: ReadOnly[CapsuleType]
    izmax1: ReadOnly[CapsuleType]
    sbbcsd: ReadOnly[CapsuleType]
    sbdsdc: ReadOnly[CapsuleType]
    sbdsqr: ReadOnly[CapsuleType]
    scsum1: ReadOnly[CapsuleType]
    sdisna: ReadOnly[CapsuleType]
    sgbbrd: ReadOnly[CapsuleType]
    sgbcon: ReadOnly[CapsuleType]
    sgbequ: ReadOnly[CapsuleType]
    sgbequb: ReadOnly[CapsuleType]
    sgbrfs: ReadOnly[CapsuleType]
    sgbsv: ReadOnly[CapsuleType]
    sgbsvx: ReadOnly[CapsuleType]
    sgbtf2: ReadOnly[CapsuleType]
    sgbtrf: ReadOnly[CapsuleType]
    sgbtrs: ReadOnly[CapsuleType]
    sgebak: ReadOnly[CapsuleType]
    sgebal: ReadOnly[CapsuleType]
    sgebd2: ReadOnly[CapsuleType]
    sgebrd: ReadOnly[CapsuleType]
    sgecon: ReadOnly[CapsuleType]
    sgeequ: ReadOnly[CapsuleType]
    sgeequb: ReadOnly[CapsuleType]
    sgees: ReadOnly[CapsuleType]
    sgeesx: ReadOnly[CapsuleType]
    sgeev: ReadOnly[CapsuleType]
    sgeevx: ReadOnly[CapsuleType]
    sgehd2: ReadOnly[CapsuleType]
    sgehrd: ReadOnly[CapsuleType]
    sgejsv: ReadOnly[CapsuleType]
    sgelq2: ReadOnly[CapsuleType]
    sgelqf: ReadOnly[CapsuleType]
    sgels: ReadOnly[CapsuleType]
    sgelsd: ReadOnly[CapsuleType]
    sgelss: ReadOnly[CapsuleType]
    sgelsy: ReadOnly[CapsuleType]
    sgemqrt: ReadOnly[CapsuleType]
    sgeql2: ReadOnly[CapsuleType]
    sgeqlf: ReadOnly[CapsuleType]
    sgeqp3: ReadOnly[CapsuleType]
    sgeqr2: ReadOnly[CapsuleType]
    sgeqr2p: ReadOnly[CapsuleType]
    sgeqrf: ReadOnly[CapsuleType]
    sgeqrfp: ReadOnly[CapsuleType]
    sgeqrt: ReadOnly[CapsuleType]
    sgeqrt2: ReadOnly[CapsuleType]
    sgeqrt3: ReadOnly[CapsuleType]
    sgerfs: ReadOnly[CapsuleType]
    sgerq2: ReadOnly[CapsuleType]
    sgerqf: ReadOnly[CapsuleType]
    sgesc2: ReadOnly[CapsuleType]
    sgesdd: ReadOnly[CapsuleType]
    sgesv: ReadOnly[CapsuleType]
    sgesvd: ReadOnly[CapsuleType]
    sgesvj: ReadOnly[CapsuleType]
    sgesvx: ReadOnly[CapsuleType]
    sgetc2: ReadOnly[CapsuleType]
    sgetf2: ReadOnly[CapsuleType]
    sgetrf: ReadOnly[CapsuleType]
    sgetri: ReadOnly[CapsuleType]
    sgetrs: ReadOnly[CapsuleType]
    sggbak: ReadOnly[CapsuleType]
    sggbal: ReadOnly[CapsuleType]
    sgges: ReadOnly[CapsuleType]
    sggesx: ReadOnly[CapsuleType]
    sggev: ReadOnly[CapsuleType]
    sggevx: ReadOnly[CapsuleType]
    sggglm: ReadOnly[CapsuleType]
    sgghrd: ReadOnly[CapsuleType]
    sgglse: ReadOnly[CapsuleType]
    sggqrf: ReadOnly[CapsuleType]
    sggrqf: ReadOnly[CapsuleType]
    sgsvj0: ReadOnly[CapsuleType]
    sgsvj1: ReadOnly[CapsuleType]
    sgtcon: ReadOnly[CapsuleType]
    sgtrfs: ReadOnly[CapsuleType]
    sgtsv: ReadOnly[CapsuleType]
    sgtsvx: ReadOnly[CapsuleType]
    sgttrf: ReadOnly[CapsuleType]
    sgttrs: ReadOnly[CapsuleType]
    sgtts2: ReadOnly[CapsuleType]
    shgeqz: ReadOnly[CapsuleType]
    shsein: ReadOnly[CapsuleType]
    shseqr: ReadOnly[CapsuleType]
    slabad: ReadOnly[CapsuleType]
    slabrd: ReadOnly[CapsuleType]
    slacn2: ReadOnly[CapsuleType]
    slacon: ReadOnly[CapsuleType]
    slacpy: ReadOnly[CapsuleType]
    sladiv: ReadOnly[CapsuleType]
    slae2: ReadOnly[CapsuleType]
    slaebz: ReadOnly[CapsuleType]
    slaed0: ReadOnly[CapsuleType]
    slaed1: ReadOnly[CapsuleType]
    slaed2: ReadOnly[CapsuleType]
    slaed3: ReadOnly[CapsuleType]
    slaed4: ReadOnly[CapsuleType]
    slaed5: ReadOnly[CapsuleType]
    slaed6: ReadOnly[CapsuleType]
    slaed7: ReadOnly[CapsuleType]
    slaed8: ReadOnly[CapsuleType]
    slaed9: ReadOnly[CapsuleType]
    slaeda: ReadOnly[CapsuleType]
    slaein: ReadOnly[CapsuleType]
    slaev2: ReadOnly[CapsuleType]
    slaexc: ReadOnly[CapsuleType]
    slag2: ReadOnly[CapsuleType]
    slag2d: ReadOnly[CapsuleType]
    slags2: ReadOnly[CapsuleType]
    slagtf: ReadOnly[CapsuleType]
    slagtm: ReadOnly[CapsuleType]
    slagts: ReadOnly[CapsuleType]
    slagv2: ReadOnly[CapsuleType]
    slahqr: ReadOnly[CapsuleType]
    slahr2: ReadOnly[CapsuleType]
    slaic1: ReadOnly[CapsuleType]
    slaln2: ReadOnly[CapsuleType]
    slals0: ReadOnly[CapsuleType]
    slalsa: ReadOnly[CapsuleType]
    slalsd: ReadOnly[CapsuleType]
    slamch: ReadOnly[CapsuleType]
    slamrg: ReadOnly[CapsuleType]
    slangb: ReadOnly[CapsuleType]
    slange: ReadOnly[CapsuleType]
    slangt: ReadOnly[CapsuleType]
    slanhs: ReadOnly[CapsuleType]
    slansb: ReadOnly[CapsuleType]
    slansf: ReadOnly[CapsuleType]
    slansp: ReadOnly[CapsuleType]
    slanst: ReadOnly[CapsuleType]
    slansy: ReadOnly[CapsuleType]
    slantb: ReadOnly[CapsuleType]
    slantp: ReadOnly[CapsuleType]
    slantr: ReadOnly[CapsuleType]
    slanv2: ReadOnly[CapsuleType]
    slapll: ReadOnly[CapsuleType]
    slapmr: ReadOnly[CapsuleType]
    slapmt: ReadOnly[CapsuleType]
    slapy2: ReadOnly[CapsuleType]
    slapy3: ReadOnly[CapsuleType]
    slaqgb: ReadOnly[CapsuleType]
    slaqge: ReadOnly[CapsuleType]
    slaqp2: ReadOnly[CapsuleType]
    slaqps: ReadOnly[CapsuleType]
    slaqr0: ReadOnly[CapsuleType]
    slaqr1: ReadOnly[CapsuleType]
    slaqr2: ReadOnly[CapsuleType]
    slaqr3: ReadOnly[CapsuleType]
    slaqr4: ReadOnly[CapsuleType]
    slaqr5: ReadOnly[CapsuleType]
    slaqsb: ReadOnly[CapsuleType]
    slaqsp: ReadOnly[CapsuleType]
    slaqsy: ReadOnly[CapsuleType]
    slaqtr: ReadOnly[CapsuleType]
    slar1v: ReadOnly[CapsuleType]
    slar2v: ReadOnly[CapsuleType]
    slarf: ReadOnly[CapsuleType]
    slarfb: ReadOnly[CapsuleType]
    slarfg: ReadOnly[CapsuleType]
    slarfgp: ReadOnly[CapsuleType]
    slarft: ReadOnly[CapsuleType]
    slarfx: ReadOnly[CapsuleType]
    slargv: ReadOnly[CapsuleType]
    slarnv: ReadOnly[CapsuleType]
    slarra: ReadOnly[CapsuleType]
    slarrb: ReadOnly[CapsuleType]
    slarrc: ReadOnly[CapsuleType]
    slarrd: ReadOnly[CapsuleType]
    slarre: ReadOnly[CapsuleType]
    slarrf: ReadOnly[CapsuleType]
    slarrj: ReadOnly[CapsuleType]
    slarrk: ReadOnly[CapsuleType]
    slarrr: ReadOnly[CapsuleType]
    slarrv: ReadOnly[CapsuleType]
    slartg: ReadOnly[CapsuleType]
    slartgp: ReadOnly[CapsuleType]
    slartgs: ReadOnly[CapsuleType]
    slartv: ReadOnly[CapsuleType]
    slaruv: ReadOnly[CapsuleType]
    slarz: ReadOnly[CapsuleType]
    slarzb: ReadOnly[CapsuleType]
    slarzt: ReadOnly[CapsuleType]
    slas2: ReadOnly[CapsuleType]
    slascl: ReadOnly[CapsuleType]
    slasd0: ReadOnly[CapsuleType]
    slasd1: ReadOnly[CapsuleType]
    slasd2: ReadOnly[CapsuleType]
    slasd3: ReadOnly[CapsuleType]
    slasd4: ReadOnly[CapsuleType]
    slasd5: ReadOnly[CapsuleType]
    slasd6: ReadOnly[CapsuleType]
    slasd7: ReadOnly[CapsuleType]
    slasd8: ReadOnly[CapsuleType]
    slasda: ReadOnly[CapsuleType]
    slasdq: ReadOnly[CapsuleType]
    slasdt: ReadOnly[CapsuleType]
    slaset: ReadOnly[CapsuleType]
    slasq1: ReadOnly[CapsuleType]
    slasq2: ReadOnly[CapsuleType]
    slasq3: ReadOnly[CapsuleType]
    slasq4: ReadOnly[CapsuleType]
    slasq6: ReadOnly[CapsuleType]
    slasr: ReadOnly[CapsuleType]
    slasrt: ReadOnly[CapsuleType]
    slassq: ReadOnly[CapsuleType]
    slasv2: ReadOnly[CapsuleType]
    slaswp: ReadOnly[CapsuleType]
    slasy2: ReadOnly[CapsuleType]
    slasyf: ReadOnly[CapsuleType]
    slatbs: ReadOnly[CapsuleType]
    slatdf: ReadOnly[CapsuleType]
    slatps: ReadOnly[CapsuleType]
    slatrd: ReadOnly[CapsuleType]
    slatrs: ReadOnly[CapsuleType]
    slatrz: ReadOnly[CapsuleType]
    slauu2: ReadOnly[CapsuleType]
    slauum: ReadOnly[CapsuleType]
    sopgtr: ReadOnly[CapsuleType]
    sopmtr: ReadOnly[CapsuleType]
    sorbdb: ReadOnly[CapsuleType]
    sorcsd: ReadOnly[CapsuleType]
    sorg2l: ReadOnly[CapsuleType]
    sorg2r: ReadOnly[CapsuleType]
    sorgbr: ReadOnly[CapsuleType]
    sorghr: ReadOnly[CapsuleType]
    sorgl2: ReadOnly[CapsuleType]
    sorglq: ReadOnly[CapsuleType]
    sorgql: ReadOnly[CapsuleType]
    sorgqr: ReadOnly[CapsuleType]
    sorgr2: ReadOnly[CapsuleType]
    sorgrq: ReadOnly[CapsuleType]
    sorgtr: ReadOnly[CapsuleType]
    sorm2l: ReadOnly[CapsuleType]
    sorm2r: ReadOnly[CapsuleType]
    sormbr: ReadOnly[CapsuleType]
    sormhr: ReadOnly[CapsuleType]
    sorml2: ReadOnly[CapsuleType]
    sormlq: ReadOnly[CapsuleType]
    sormql: ReadOnly[CapsuleType]
    sormqr: ReadOnly[CapsuleType]
    sormr2: ReadOnly[CapsuleType]
    sormr3: ReadOnly[CapsuleType]
    sormrq: ReadOnly[CapsuleType]
    sormrz: ReadOnly[CapsuleType]
    sormtr: ReadOnly[CapsuleType]
    spbcon: ReadOnly[CapsuleType]
    spbequ: ReadOnly[CapsuleType]
    spbrfs: ReadOnly[CapsuleType]
    spbstf: ReadOnly[CapsuleType]
    spbsv: ReadOnly[CapsuleType]
    spbsvx: ReadOnly[CapsuleType]
    spbtf2: ReadOnly[CapsuleType]
    spbtrf: ReadOnly[CapsuleType]
    spbtrs: ReadOnly[CapsuleType]
    spftrf: ReadOnly[CapsuleType]
    spftri: ReadOnly[CapsuleType]
    spftrs: ReadOnly[CapsuleType]
    spocon: ReadOnly[CapsuleType]
    spoequ: ReadOnly[CapsuleType]
    spoequb: ReadOnly[CapsuleType]
    sporfs: ReadOnly[CapsuleType]
    sposv: ReadOnly[CapsuleType]
    sposvx: ReadOnly[CapsuleType]
    spotf2: ReadOnly[CapsuleType]
    spotrf: ReadOnly[CapsuleType]
    spotri: ReadOnly[CapsuleType]
    spotrs: ReadOnly[CapsuleType]
    sppcon: ReadOnly[CapsuleType]
    sppequ: ReadOnly[CapsuleType]
    spprfs: ReadOnly[CapsuleType]
    sppsv: ReadOnly[CapsuleType]
    sppsvx: ReadOnly[CapsuleType]
    spptrf: ReadOnly[CapsuleType]
    spptri: ReadOnly[CapsuleType]
    spptrs: ReadOnly[CapsuleType]
    spstf2: ReadOnly[CapsuleType]
    spstrf: ReadOnly[CapsuleType]
    sptcon: ReadOnly[CapsuleType]
    spteqr: ReadOnly[CapsuleType]
    sptrfs: ReadOnly[CapsuleType]
    sptsv: ReadOnly[CapsuleType]
    sptsvx: ReadOnly[CapsuleType]
    spttrf: ReadOnly[CapsuleType]
    spttrs: ReadOnly[CapsuleType]
    sptts2: ReadOnly[CapsuleType]
    srscl: ReadOnly[CapsuleType]
    ssbev: ReadOnly[CapsuleType]
    ssbevd: ReadOnly[CapsuleType]
    ssbevx: ReadOnly[CapsuleType]
    ssbgst: ReadOnly[CapsuleType]
    ssbgv: ReadOnly[CapsuleType]
    ssbgvd: ReadOnly[CapsuleType]
    ssbgvx: ReadOnly[CapsuleType]
    ssbtrd: ReadOnly[CapsuleType]
    ssfrk: ReadOnly[CapsuleType]
    sspcon: ReadOnly[CapsuleType]
    sspev: ReadOnly[CapsuleType]
    sspevd: ReadOnly[CapsuleType]
    sspevx: ReadOnly[CapsuleType]
    sspgst: ReadOnly[CapsuleType]
    sspgv: ReadOnly[CapsuleType]
    sspgvd: ReadOnly[CapsuleType]
    sspgvx: ReadOnly[CapsuleType]
    ssprfs: ReadOnly[CapsuleType]
    sspsv: ReadOnly[CapsuleType]
    sspsvx: ReadOnly[CapsuleType]
    ssptrd: ReadOnly[CapsuleType]
    ssptrf: ReadOnly[CapsuleType]
    ssptri: ReadOnly[CapsuleType]
    ssptrs: ReadOnly[CapsuleType]
    sstebz: ReadOnly[CapsuleType]
    sstedc: ReadOnly[CapsuleType]
    sstegr: ReadOnly[CapsuleType]
    sstein: ReadOnly[CapsuleType]
    sstemr: ReadOnly[CapsuleType]
    ssteqr: ReadOnly[CapsuleType]
    ssterf: ReadOnly[CapsuleType]
    sstev: ReadOnly[CapsuleType]
    sstevd: ReadOnly[CapsuleType]
    sstevr: ReadOnly[CapsuleType]
    sstevx: ReadOnly[CapsuleType]
    ssycon: ReadOnly[CapsuleType]
    ssyconv: ReadOnly[CapsuleType]
    ssyequb: ReadOnly[CapsuleType]
    ssyev: ReadOnly[CapsuleType]
    ssyevd: ReadOnly[CapsuleType]
    ssyevr: ReadOnly[CapsuleType]
    ssyevx: ReadOnly[CapsuleType]
    ssygs2: ReadOnly[CapsuleType]
    ssygst: ReadOnly[CapsuleType]
    ssygv: ReadOnly[CapsuleType]
    ssygvd: ReadOnly[CapsuleType]
    ssygvx: ReadOnly[CapsuleType]
    ssyrfs: ReadOnly[CapsuleType]
    ssysv: ReadOnly[CapsuleType]
    ssysvx: ReadOnly[CapsuleType]
    ssyswapr: ReadOnly[CapsuleType]
    ssytd2: ReadOnly[CapsuleType]
    ssytf2: ReadOnly[CapsuleType]
    ssytrd: ReadOnly[CapsuleType]
    ssytrf: ReadOnly[CapsuleType]
    ssytri: ReadOnly[CapsuleType]
    ssytri2: ReadOnly[CapsuleType]
    ssytri2x: ReadOnly[CapsuleType]
    ssytrs: ReadOnly[CapsuleType]
    ssytrs2: ReadOnly[CapsuleType]
    stbcon: ReadOnly[CapsuleType]
    stbrfs: ReadOnly[CapsuleType]
    stbtrs: ReadOnly[CapsuleType]
    stfsm: ReadOnly[CapsuleType]
    stftri: ReadOnly[CapsuleType]
    stfttp: ReadOnly[CapsuleType]
    stfttr: ReadOnly[CapsuleType]
    stgevc: ReadOnly[CapsuleType]
    stgex2: ReadOnly[CapsuleType]
    stgexc: ReadOnly[CapsuleType]
    stgsen: ReadOnly[CapsuleType]
    stgsja: ReadOnly[CapsuleType]
    stgsna: ReadOnly[CapsuleType]
    stgsy2: ReadOnly[CapsuleType]
    stgsyl: ReadOnly[CapsuleType]
    stpcon: ReadOnly[CapsuleType]
    stpmqrt: ReadOnly[CapsuleType]
    stpqrt: ReadOnly[CapsuleType]
    stpqrt2: ReadOnly[CapsuleType]
    stprfb: ReadOnly[CapsuleType]
    stprfs: ReadOnly[CapsuleType]
    stptri: ReadOnly[CapsuleType]
    stptrs: ReadOnly[CapsuleType]
    stpttf: ReadOnly[CapsuleType]
    stpttr: ReadOnly[CapsuleType]
    strcon: ReadOnly[CapsuleType]
    strevc: ReadOnly[CapsuleType]
    strexc: ReadOnly[CapsuleType]
    strrfs: ReadOnly[CapsuleType]
    strsen: ReadOnly[CapsuleType]
    strsna: ReadOnly[CapsuleType]
    strsyl: ReadOnly[CapsuleType]
    strti2: ReadOnly[CapsuleType]
    strtri: ReadOnly[CapsuleType]
    strtrs: ReadOnly[CapsuleType]
    strttf: ReadOnly[CapsuleType]
    strttp: ReadOnly[CapsuleType]
    stzrzf: ReadOnly[CapsuleType]
    xerbla_array: ReadOnly[CapsuleType]
    zbbcsd: ReadOnly[CapsuleType]
    zbdsqr: ReadOnly[CapsuleType]
    zcgesv: ReadOnly[CapsuleType]
    zcposv: ReadOnly[CapsuleType]
    zdrscl: ReadOnly[CapsuleType]
    zgbbrd: ReadOnly[CapsuleType]
    zgbcon: ReadOnly[CapsuleType]
    zgbequ: ReadOnly[CapsuleType]
    zgbequb: ReadOnly[CapsuleType]
    zgbrfs: ReadOnly[CapsuleType]
    zgbsv: ReadOnly[CapsuleType]
    zgbsvx: ReadOnly[CapsuleType]
    zgbtf2: ReadOnly[CapsuleType]
    zgbtrf: ReadOnly[CapsuleType]
    zgbtrs: ReadOnly[CapsuleType]
    zgebak: ReadOnly[CapsuleType]
    zgebal: ReadOnly[CapsuleType]
    zgebd2: ReadOnly[CapsuleType]
    zgebrd: ReadOnly[CapsuleType]
    zgecon: ReadOnly[CapsuleType]
    zgeequ: ReadOnly[CapsuleType]
    zgeequb: ReadOnly[CapsuleType]
    zgees: ReadOnly[CapsuleType]
    zgeesx: ReadOnly[CapsuleType]
    zgeev: ReadOnly[CapsuleType]
    zgeevx: ReadOnly[CapsuleType]
    zgehd2: ReadOnly[CapsuleType]
    zgehrd: ReadOnly[CapsuleType]
    zgelq2: ReadOnly[CapsuleType]
    zgelqf: ReadOnly[CapsuleType]
    zgels: ReadOnly[CapsuleType]
    zgelsd: ReadOnly[CapsuleType]
    zgelss: ReadOnly[CapsuleType]
    zgelsy: ReadOnly[CapsuleType]
    zgemqrt: ReadOnly[CapsuleType]
    zgeql2: ReadOnly[CapsuleType]
    zgeqlf: ReadOnly[CapsuleType]
    zgeqp3: ReadOnly[CapsuleType]
    zgeqr2: ReadOnly[CapsuleType]
    zgeqr2p: ReadOnly[CapsuleType]
    zgeqrf: ReadOnly[CapsuleType]
    zgeqrfp: ReadOnly[CapsuleType]
    zgeqrt: ReadOnly[CapsuleType]
    zgeqrt2: ReadOnly[CapsuleType]
    zgeqrt3: ReadOnly[CapsuleType]
    zgerfs: ReadOnly[CapsuleType]
    zgerq2: ReadOnly[CapsuleType]
    zgerqf: ReadOnly[CapsuleType]
    zgesc2: ReadOnly[CapsuleType]
    zgesdd: ReadOnly[CapsuleType]
    zgesv: ReadOnly[CapsuleType]
    zgesvd: ReadOnly[CapsuleType]
    zgesvx: ReadOnly[CapsuleType]
    zgetc2: ReadOnly[CapsuleType]
    zgetf2: ReadOnly[CapsuleType]
    zgetrf: ReadOnly[CapsuleType]
    zgetri: ReadOnly[CapsuleType]
    zgetrs: ReadOnly[CapsuleType]
    zggbak: ReadOnly[CapsuleType]
    zggbal: ReadOnly[CapsuleType]
    zgges: ReadOnly[CapsuleType]
    zggesx: ReadOnly[CapsuleType]
    zggev: ReadOnly[CapsuleType]
    zggevx: ReadOnly[CapsuleType]
    zggglm: ReadOnly[CapsuleType]
    zgghrd: ReadOnly[CapsuleType]
    zgglse: ReadOnly[CapsuleType]
    zggqrf: ReadOnly[CapsuleType]
    zggrqf: ReadOnly[CapsuleType]
    zgtcon: ReadOnly[CapsuleType]
    zgtrfs: ReadOnly[CapsuleType]
    zgtsv: ReadOnly[CapsuleType]
    zgtsvx: ReadOnly[CapsuleType]
    zgttrf: ReadOnly[CapsuleType]
    zgttrs: ReadOnly[CapsuleType]
    zgtts2: ReadOnly[CapsuleType]
    zhbev: ReadOnly[CapsuleType]
    zhbevd: ReadOnly[CapsuleType]
    zhbevx: ReadOnly[CapsuleType]
    zhbgst: ReadOnly[CapsuleType]
    zhbgv: ReadOnly[CapsuleType]
    zhbgvd: ReadOnly[CapsuleType]
    zhbgvx: ReadOnly[CapsuleType]
    zhbtrd: ReadOnly[CapsuleType]
    zhecon: ReadOnly[CapsuleType]
    zheequb: ReadOnly[CapsuleType]
    zheev: ReadOnly[CapsuleType]
    zheevd: ReadOnly[CapsuleType]
    zheevr: ReadOnly[CapsuleType]
    zheevx: ReadOnly[CapsuleType]
    zhegs2: ReadOnly[CapsuleType]
    zhegst: ReadOnly[CapsuleType]
    zhegv: ReadOnly[CapsuleType]
    zhegvd: ReadOnly[CapsuleType]
    zhegvx: ReadOnly[CapsuleType]
    zherfs: ReadOnly[CapsuleType]
    zhesv: ReadOnly[CapsuleType]
    zhesvx: ReadOnly[CapsuleType]
    zheswapr: ReadOnly[CapsuleType]
    zhetd2: ReadOnly[CapsuleType]
    zhetf2: ReadOnly[CapsuleType]
    zhetrd: ReadOnly[CapsuleType]
    zhetrf: ReadOnly[CapsuleType]
    zhetri: ReadOnly[CapsuleType]
    zhetri2: ReadOnly[CapsuleType]
    zhetri2x: ReadOnly[CapsuleType]
    zhetrs: ReadOnly[CapsuleType]
    zhetrs2: ReadOnly[CapsuleType]
    zhfrk: ReadOnly[CapsuleType]
    zhgeqz: ReadOnly[CapsuleType]
    zhpcon: ReadOnly[CapsuleType]
    zhpev: ReadOnly[CapsuleType]
    zhpevd: ReadOnly[CapsuleType]
    zhpevx: ReadOnly[CapsuleType]
    zhpgst: ReadOnly[CapsuleType]
    zhpgv: ReadOnly[CapsuleType]
    zhpgvd: ReadOnly[CapsuleType]
    zhpgvx: ReadOnly[CapsuleType]
    zhprfs: ReadOnly[CapsuleType]
    zhpsv: ReadOnly[CapsuleType]
    zhpsvx: ReadOnly[CapsuleType]
    zhptrd: ReadOnly[CapsuleType]
    zhptrf: ReadOnly[CapsuleType]
    zhptri: ReadOnly[CapsuleType]
    zhptrs: ReadOnly[CapsuleType]
    zhsein: ReadOnly[CapsuleType]
    zhseqr: ReadOnly[CapsuleType]
    zlabrd: ReadOnly[CapsuleType]
    zlacgv: ReadOnly[CapsuleType]
    zlacn2: ReadOnly[CapsuleType]
    zlacon: ReadOnly[CapsuleType]
    zlacp2: ReadOnly[CapsuleType]
    zlacpy: ReadOnly[CapsuleType]
    zlacrm: ReadOnly[CapsuleType]
    zlacrt: ReadOnly[CapsuleType]
    zladiv: ReadOnly[CapsuleType]
    zlaed0: ReadOnly[CapsuleType]
    zlaed7: ReadOnly[CapsuleType]
    zlaed8: ReadOnly[CapsuleType]
    zlaein: ReadOnly[CapsuleType]
    zlaesy: ReadOnly[CapsuleType]
    zlaev2: ReadOnly[CapsuleType]
    zlag2c: ReadOnly[CapsuleType]
    zlags2: ReadOnly[CapsuleType]
    zlagtm: ReadOnly[CapsuleType]
    zlahef: ReadOnly[CapsuleType]
    zlahqr: ReadOnly[CapsuleType]
    zlahr2: ReadOnly[CapsuleType]
    zlaic1: ReadOnly[CapsuleType]
    zlals0: ReadOnly[CapsuleType]
    zlalsa: ReadOnly[CapsuleType]
    zlalsd: ReadOnly[CapsuleType]
    zlangb: ReadOnly[CapsuleType]
    zlange: ReadOnly[CapsuleType]
    zlangt: ReadOnly[CapsuleType]
    zlanhb: ReadOnly[CapsuleType]
    zlanhe: ReadOnly[CapsuleType]
    zlanhf: ReadOnly[CapsuleType]
    zlanhp: ReadOnly[CapsuleType]
    zlanhs: ReadOnly[CapsuleType]
    zlanht: ReadOnly[CapsuleType]
    zlansb: ReadOnly[CapsuleType]
    zlansp: ReadOnly[CapsuleType]
    zlansy: ReadOnly[CapsuleType]
    zlantb: ReadOnly[CapsuleType]
    zlantp: ReadOnly[CapsuleType]
    zlantr: ReadOnly[CapsuleType]
    zlapll: ReadOnly[CapsuleType]
    zlapmr: ReadOnly[CapsuleType]
    zlapmt: ReadOnly[CapsuleType]
    zlaqgb: ReadOnly[CapsuleType]
    zlaqge: ReadOnly[CapsuleType]
    zlaqhb: ReadOnly[CapsuleType]
    zlaqhe: ReadOnly[CapsuleType]
    zlaqhp: ReadOnly[CapsuleType]
    zlaqp2: ReadOnly[CapsuleType]
    zlaqps: ReadOnly[CapsuleType]
    zlaqr0: ReadOnly[CapsuleType]
    zlaqr1: ReadOnly[CapsuleType]
    zlaqr2: ReadOnly[CapsuleType]
    zlaqr3: ReadOnly[CapsuleType]
    zlaqr4: ReadOnly[CapsuleType]
    zlaqr5: ReadOnly[CapsuleType]
    zlaqsb: ReadOnly[CapsuleType]
    zlaqsp: ReadOnly[CapsuleType]
    zlaqsy: ReadOnly[CapsuleType]
    zlar1v: ReadOnly[CapsuleType]
    zlar2v: ReadOnly[CapsuleType]
    zlarcm: ReadOnly[CapsuleType]
    zlarf: ReadOnly[CapsuleType]
    zlarfb: ReadOnly[CapsuleType]
    zlarfg: ReadOnly[CapsuleType]
    zlarfgp: ReadOnly[CapsuleType]
    zlarft: ReadOnly[CapsuleType]
    zlarfx: ReadOnly[CapsuleType]
    zlargv: ReadOnly[CapsuleType]
    zlarnv: ReadOnly[CapsuleType]
    zlarrv: ReadOnly[CapsuleType]
    zlartg: ReadOnly[CapsuleType]
    zlartv: ReadOnly[CapsuleType]
    zlarz: ReadOnly[CapsuleType]
    zlarzb: ReadOnly[CapsuleType]
    zlarzt: ReadOnly[CapsuleType]
    zlascl: ReadOnly[CapsuleType]
    zlaset: ReadOnly[CapsuleType]
    zlasr: ReadOnly[CapsuleType]
    zlassq: ReadOnly[CapsuleType]
    zlaswp: ReadOnly[CapsuleType]
    zlasyf: ReadOnly[CapsuleType]
    zlat2c: ReadOnly[CapsuleType]
    zlatbs: ReadOnly[CapsuleType]
    zlatdf: ReadOnly[CapsuleType]
    zlatps: ReadOnly[CapsuleType]
    zlatrd: ReadOnly[CapsuleType]
    zlatrs: ReadOnly[CapsuleType]
    zlatrz: ReadOnly[CapsuleType]
    zlauu2: ReadOnly[CapsuleType]
    zlauum: ReadOnly[CapsuleType]
    zpbcon: ReadOnly[CapsuleType]
    zpbequ: ReadOnly[CapsuleType]
    zpbrfs: ReadOnly[CapsuleType]
    zpbstf: ReadOnly[CapsuleType]
    zpbsv: ReadOnly[CapsuleType]
    zpbsvx: ReadOnly[CapsuleType]
    zpbtf2: ReadOnly[CapsuleType]
    zpbtrf: ReadOnly[CapsuleType]
    zpbtrs: ReadOnly[CapsuleType]
    zpftrf: ReadOnly[CapsuleType]
    zpftri: ReadOnly[CapsuleType]
    zpftrs: ReadOnly[CapsuleType]
    zpocon: ReadOnly[CapsuleType]
    zpoequ: ReadOnly[CapsuleType]
    zpoequb: ReadOnly[CapsuleType]
    zporfs: ReadOnly[CapsuleType]
    zposv: ReadOnly[CapsuleType]
    zposvx: ReadOnly[CapsuleType]
    zpotf2: ReadOnly[CapsuleType]
    zpotrf: ReadOnly[CapsuleType]
    zpotri: ReadOnly[CapsuleType]
    zpotrs: ReadOnly[CapsuleType]
    zppcon: ReadOnly[CapsuleType]
    zppequ: ReadOnly[CapsuleType]
    zpprfs: ReadOnly[CapsuleType]
    zppsv: ReadOnly[CapsuleType]
    zppsvx: ReadOnly[CapsuleType]
    zpptrf: ReadOnly[CapsuleType]
    zpptri: ReadOnly[CapsuleType]
    zpptrs: ReadOnly[CapsuleType]
    zpstf2: ReadOnly[CapsuleType]
    zpstrf: ReadOnly[CapsuleType]
    zptcon: ReadOnly[CapsuleType]
    zpteqr: ReadOnly[CapsuleType]
    zptrfs: ReadOnly[CapsuleType]
    zptsv: ReadOnly[CapsuleType]
    zptsvx: ReadOnly[CapsuleType]
    zpttrf: ReadOnly[CapsuleType]
    zpttrs: ReadOnly[CapsuleType]
    zptts2: ReadOnly[CapsuleType]
    zrot: ReadOnly[CapsuleType]
    zspcon: ReadOnly[CapsuleType]
    zspmv: ReadOnly[CapsuleType]
    zspr: ReadOnly[CapsuleType]
    zsprfs: ReadOnly[CapsuleType]
    zspsv: ReadOnly[CapsuleType]
    zspsvx: ReadOnly[CapsuleType]
    zsptrf: ReadOnly[CapsuleType]
    zsptri: ReadOnly[CapsuleType]
    zsptrs: ReadOnly[CapsuleType]
    zstedc: ReadOnly[CapsuleType]
    zstegr: ReadOnly[CapsuleType]
    zstein: ReadOnly[CapsuleType]
    zstemr: ReadOnly[CapsuleType]
    zsteqr: ReadOnly[CapsuleType]
    zsycon: ReadOnly[CapsuleType]
    zsyconv: ReadOnly[CapsuleType]
    zsyequb: ReadOnly[CapsuleType]
    zsymv: ReadOnly[CapsuleType]
    zsyr: ReadOnly[CapsuleType]
    zsyrfs: ReadOnly[CapsuleType]
    zsysv: ReadOnly[CapsuleType]
    zsysvx: ReadOnly[CapsuleType]
    zsyswapr: ReadOnly[CapsuleType]
    zsytf2: ReadOnly[CapsuleType]
    zsytrf: ReadOnly[CapsuleType]
    zsytri: ReadOnly[CapsuleType]
    zsytri2: ReadOnly[CapsuleType]
    zsytri2x: ReadOnly[CapsuleType]
    zsytrs: ReadOnly[CapsuleType]
    zsytrs2: ReadOnly[CapsuleType]
    ztbcon: ReadOnly[CapsuleType]
    ztbrfs: ReadOnly[CapsuleType]
    ztbtrs: ReadOnly[CapsuleType]
    ztfsm: ReadOnly[CapsuleType]
    ztftri: ReadOnly[CapsuleType]
    ztfttp: ReadOnly[CapsuleType]
    ztfttr: ReadOnly[CapsuleType]
    ztgevc: ReadOnly[CapsuleType]
    ztgex2: ReadOnly[CapsuleType]
    ztgexc: ReadOnly[CapsuleType]
    ztgsen: ReadOnly[CapsuleType]
    ztgsja: ReadOnly[CapsuleType]
    ztgsna: ReadOnly[CapsuleType]
    ztgsy2: ReadOnly[CapsuleType]
    ztgsyl: ReadOnly[CapsuleType]
    ztpcon: ReadOnly[CapsuleType]
    ztpmqrt: ReadOnly[CapsuleType]
    ztpqrt: ReadOnly[CapsuleType]
    ztpqrt2: ReadOnly[CapsuleType]
    ztprfb: ReadOnly[CapsuleType]
    ztprfs: ReadOnly[CapsuleType]
    ztptri: ReadOnly[CapsuleType]
    ztptrs: ReadOnly[CapsuleType]
    ztpttf: ReadOnly[CapsuleType]
    ztpttr: ReadOnly[CapsuleType]
    ztrcon: ReadOnly[CapsuleType]
    ztrevc: ReadOnly[CapsuleType]
    ztrexc: ReadOnly[CapsuleType]
    ztrrfs: ReadOnly[CapsuleType]
    ztrsen: ReadOnly[CapsuleType]
    ztrsna: ReadOnly[CapsuleType]
    ztrsyl: ReadOnly[CapsuleType]
    ztrti2: ReadOnly[CapsuleType]
    ztrtri: ReadOnly[CapsuleType]
    ztrtrs: ReadOnly[CapsuleType]
    ztrttf: ReadOnly[CapsuleType]
    ztrttp: ReadOnly[CapsuleType]
    ztzrzf: ReadOnly[CapsuleType]
    zunbdb: ReadOnly[CapsuleType]
    zuncsd: ReadOnly[CapsuleType]
    zung2l: ReadOnly[CapsuleType]
    zung2r: ReadOnly[CapsuleType]
    zungbr: ReadOnly[CapsuleType]
    zunghr: ReadOnly[CapsuleType]
    zungl2: ReadOnly[CapsuleType]
    zunglq: ReadOnly[CapsuleType]
    zungql: ReadOnly[CapsuleType]
    zungqr: ReadOnly[CapsuleType]
    zungr2: ReadOnly[CapsuleType]
    zungrq: ReadOnly[CapsuleType]
    zungtr: ReadOnly[CapsuleType]
    zunm2l: ReadOnly[CapsuleType]
    zunm2r: ReadOnly[CapsuleType]
    zunmbr: ReadOnly[CapsuleType]
    zunmhr: ReadOnly[CapsuleType]
    zunml2: ReadOnly[CapsuleType]
    zunmlq: ReadOnly[CapsuleType]
    zunmql: ReadOnly[CapsuleType]
    zunmqr: ReadOnly[CapsuleType]
    zunmr2: ReadOnly[CapsuleType]
    zunmr3: ReadOnly[CapsuleType]
    zunmrq: ReadOnly[CapsuleType]
    zunmrz: ReadOnly[CapsuleType]
    zunmtr: ReadOnly[CapsuleType]
    zupgtr: ReadOnly[CapsuleType]
    zupmtr: ReadOnly[CapsuleType]

__pyx_capi__: Final[_CApiDict]
__test__: Final[Mapping[Never, Never]]
